package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 经销商扩展对象 customers_ext
 * 
 * @author dgtly
 * @date 2020-10-12
 */
public class CustomersExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String chainsCode;

    /** 创建人个人账号id */
    @Excel(name = "创建人个人账号id")
    private String creator;

    /** 经销商认证名称 */
    @Excel(name = "经销商认证名称")
    private String customersName;

    /** 经销商注册后id */
    @Excel(name = "经销商注册后id")
    private String orgId;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String idType;

    /** 证件号 */
    @Excel(name = "证件号")
    private String idNumber;

    /** 企业法定代表人证件号 */
    @Excel(name = "企业法定代表人证件号")
    private String orgLegalidNumber;

    /** 企业法定代表人名称 */
    @Excel(name = "企业法定代表人名称")
    private String orgLegalName;

    /** 是否认证（0：否1：是） */
    @Excel(name = "是否认证", readConverterExp = "0=：否1：是")
    private String isAuthentication;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orgAttestationTime;
    /** 接收认证的手机号 */
    @Excel(name = "接收认证的手机号")
    private String receiveUrlMobileNo;

    private  String type;

    private  Date createTime;

    private Integer customerStatus;

    public Integer getCustomerStatus() {
        return customerStatus;
    }

    public void setCustomerStatus(Integer customerStatus) {
        this.customerStatus = customerStatus;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setChainsCode(String chainsCode)
    {
        this.chainsCode = chainsCode;
    }

    public String getChainsCode() 
    {
        return chainsCode;
    }
    public void setCreator(String creator) 
    {
        this.creator = creator;
    }

    public String getCreator() 
    {
        return creator;
    }
    public void setCustomersName(String customersName) 
    {
        this.customersName = customersName;
    }

    public String getCustomersName() 
    {
        return customersName;
    }
    public void setOrgId(String orgId) 
    {
        this.orgId = orgId;
    }

    public String getOrgId() 
    {
        return orgId;
    }
    public void setIdType(String idType) 
    {
        this.idType = idType;
    }

    public String getIdType() 
    {
        return idType;
    }
    public void setIdNumber(String idNumber) 
    {
        this.idNumber = idNumber;
    }

    public String getIdNumber() 
    {
        return idNumber;
    }
    public void setOrgLegalidNumber(String orgLegalidNumber) 
    {
        this.orgLegalidNumber = orgLegalidNumber;
    }

    public String getOrgLegalidNumber() 
    {
        return orgLegalidNumber;
    }
    public void setOrgLegalName(String orgLegalName) 
    {
        this.orgLegalName = orgLegalName;
    }

    public String getOrgLegalName() 
    {
        return orgLegalName;
    }
    public void setIsAuthentication(String isAuthentication) 
    {
        this.isAuthentication = isAuthentication;
    }

    public String getIsAuthentication() 
    {
        return isAuthentication;
    }
    public void setReceiveUrlMobileNo(String receiveUrlMobileNo) 
    {
        this.receiveUrlMobileNo = receiveUrlMobileNo;
    }

    public Date getOrgAttestationTime() {
        return orgAttestationTime;
    }

    public void setOrgAttestationTime(Date orgAttestationTime) {
        this.orgAttestationTime = orgAttestationTime;
    }

    public String getReceiveUrlMobileNo()
    {
        return receiveUrlMobileNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("chainsCode", getChainsCode())
            .append("creator", getCreator())
            .append("customersName", getCustomersName())
            .append("orgId", getOrgId())
            .append("idType", getIdType())
            .append("idNumber", getIdNumber())
            .append("orgLegalidNumber", getOrgLegalidNumber())
            .append("orgLegalName", getOrgLegalName())
            .append("isAuthentication", getIsAuthentication())
            .append("receiveUrlMobileNo", getReceiveUrlMobileNo())
            .toString();
    }
}
